Bug 507761 - Review Request: rubygem-coderay - CodeRay is a fast syntax highlighter engine for many languages
Review Request: rubygem-coderay - CodeRay is a fast syntax highlighter engine...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 504469
Blocks: 499959
  Show dependency treegraph
 
Reported: 2009-06-24 01:34 EDT by Jan Klepek
Modified: 2009-07-22 17:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.8.312-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Klepek 2009-06-24 01:34:47 EDT
Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-coderay.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/rubygem-coderay-0.8.312-1.fc11.src.rpm
Description:
CodeRay is a Ruby library for syntax highlighting. I try to make CodeRay easy
to use and intuitive, but at the same time fully featured, complete, fast and
efficient. 

$ rpmlint /home/makerpm/rpmbuild/RPMS/noarch/rubygem-coderay-0.8.312-1.fc11.noarch.rpm /home/makerpm/rpmbuild/SRPMS/rubygem-coderay-0.8.312-1.fc11.src.rpm  SPECS/rubygem-coderay.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1432884
Comment 1 Mamoru TASAKA 2009-06-24 02:16:36 EDT
I will take this one. Instead I will appreciate it if you
would review my review requests (bug 506168 or bug 507649,
both are rubygem related)
Comment 2 Mamoru TASAKA 2009-06-24 04:02:38 EDT
For 0.8.312-1:

* %define -> %global
  - We now recommend to use %global instead of %global:
    https://fedoraproject.org/wiki/Packaging/Ruby#Build_Architecture_and_File_Placement
    https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define

* License
  - From lib/term/ansicolor.rb, the license tag should be
    "GPLv2"

* Moving some document files
  - Would you explain why you want to move README or so from %geminstdir
    to %gemdir/doc ?
    Note that $ gem contents coderay expects that those (README or so) files
    are under %geminstdir.

* %files
  - As you already defined %geminstdir, please use it also in %files
    instead of using %{gemdir}/gems/%{gemname}-%{version}/

! Summary
----------------------------------------------------------------
I try to make CodeRay easy to use and intuitive, ....
----------------------------------------------------------------
  - It is ambiguous what "I" mean here...
Comment 3 Jan Klepek 2009-06-24 14:32:48 EDT
(In reply to comment #2)
> For 0.8.312-1:
> 
> * %define -> %global
>   - We now recommend to use %global instead of %global:
>    
> https://fedoraproject.org/wiki/Packaging/Ruby#Build_Architecture_and_File_Placement
>     https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define

- Fixed

> * License
>   - From lib/term/ansicolor.rb, the license tag should be
>     "GPLv2"
> 

- lib/term/ansicolor.rb will be provided by package rubygem-term-ansicolor ( https://bugzilla.redhat.com/show_bug.cgi?id=504469 ).
i have added ruby(term-ansicolor) into requires and during %install is directory lib/term removed.

I give there LGPLv2 license as this license is specified on web of project and in LICENSE file

> * Moving some document files
>   - Would you explain why you want to move README or so from %geminstdir
>     to %gemdir/doc ?
>     Note that $ gem contents coderay expects that those (README or so) files
>     are under %geminstdir.
-

- Fixed

> * %files
>   - As you already defined %geminstdir, please use it also in %files
>     instead of using %{gemdir}/gems/%{gemname}-%{version}/

- Fixed

> ! Summary
> ----------------------------------------------------------------
> I try to make CodeRay easy to use and intuitive, ....
> ----------------------------------------------------------------
>   - It is ambiguous what "I" mean here...  

- Fixed

Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-coderay.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/rubygem-coderay-0.8.312-2.fc11.src.rpm
Comment 4 Mamoru TASAKA 2009-06-24 20:35:48 EDT
Thanks for update. Now I will wait for bug 504469 to be updated.
Comment 5 Mamoru TASAKA 2009-07-01 11:17:12 EDT
For -2:

* License
  - Now for this license the license tag should be "LGPLv2+".

* Summary
  - Now Fedora thinks writing the package name (Coderay) in
    Summary is redundant.

* Directory ownership issue
  - The directory %{geminstdir}/lib is not owned by this package.
Comment 6 Jan Klepek 2009-07-03 02:12:51 EDT
(In reply to comment #5)
> For -2:
> 
> * License
>   - Now for this license the license tag should be "LGPLv2+".
- Fixed

> * Summary
>   - Now Fedora thinks writing the package name (Coderay) in
>     Summary is redundant.
- Where is this written? I didn't see it in packaging guidelines.

> * Directory ownership issue
>   - The directory %{geminstdir}/lib is not owned by this package.  

Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-coderay.spec
SRPM URL:
http://hpejakle.fedorapeople.org/packages/rubygem-coderay-0.8.312-3.fc11.src.rpm
Comment 7 Mamoru TASAKA 2009-07-03 11:00:09 EDT
(In reply to comment #6)
> > * Summary
> >   - Now Fedora thinks writing the package name (Coderay) in
> >     Summary is redundant.
> - Where is this written? I didn't see it in packaging guidelines.

See the (long) discussion beginning on
http://www.redhat.com/archives/fedora-devel-list/2008-November/msg01484.html
especially
http://www.redhat.com/archives/fedora-devel-list/2008-November/msg01676.html
and try:

$ rpmlint -I name-repeated-in-summary
Comment 8 Jan Klepek 2009-07-07 08:26:58 EDT
Yes, I read it, and I have tried (rpmlint from epel):
$ rpmlint -I name-repeated-in-summary
name-repeated-in-summary:

Personally I don't think that this could be considered as blocker, I take it as recommendation 
Summary: Fast syntax highlighter engine for many programming languages

Spec URL: http://www.brandforge.sk/hpejakle/packages/rubygem-coderay.spec
Comment 9 Mamoru TASAKA 2009-07-07 13:22:19 EDT
Okay.

--------------------------------------------------------
  This package (rubygem-coderay) is APPROVED by mtasaka
--------------------------------------------------------
Comment 10 Jan Klepek 2009-07-08 12:21:42 EDT
-------

New Package CVS Request
=======================
Package Name: rubygem-coderay
Short Description: Fast syntax highlighter engine for many programming languages
Owners: hpejakle
Branches: F-10 F-11 F-12
InitialCC:
Comment 11 Jason Tibbitts 2009-07-08 12:38:45 EDT
We cannot create F-12 branches yet; it is far too early in the release process for that.

Otherwise, CVS done.
Comment 12 Mamoru TASAKA 2009-07-15 14:17:31 EDT
Please build this package on koji and submit push requests for F-10/11
on bodhi.
Comment 13 Fedora Update System 2009-07-17 16:32:03 EDT
rubygem-coderay-0.8.312-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-coderay-0.8.312-3.fc10
Comment 14 Fedora Update System 2009-07-17 16:32:08 EDT
rubygem-coderay-0.8.312-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-coderay-0.8.312-3.fc11
Comment 15 Fedora Update System 2009-07-22 17:41:34 EDT
rubygem-coderay-0.8.312-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-07-22 17:51:54 EDT
rubygem-coderay-0.8.312-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.